- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Static Public Member Functions | List of all members
pdftron::PDF::Annots::Movie Class Reference

`#include <Movie.h>`

Inheritance diagram for pdftron::PDF::Annots::Movie:

## Public Member Functions
| Movie (SDF::Obj d=0)
| Movie (const Annot &ann)
UString | GetTitle () const
void | SetTitle (const UString &title)
bool | IsToBePlayed () const
void | SetToBePlayed (bool isplay=true)
Public Member Functions inherited from pdftron::PDF::Annot
| Annot (SDF::Obj d=0)
| Annot (const Annot &d)
Annot & | operator= (const Annot &d)
bool | operator== (const Annot &d)
bool | IsValid () const
SDF::Obj | GetSDFObj () const
Type | GetType () const
Rect | GetRect () const
Rect | GetVisibleContentBox () const
bool | IsMarkup () const
void | SetRect (const Rect &pos)
Page | GetPage () const
void | SetPage (const Page &page)
SDF::Obj | GetUniqueID () const
void | SetUniqueID (const char *id, int id_buf_sz=0)
Date | GetDate () const
void | SetDate (const Date &date)
bool | GetFlag (Flag flag) const
void | SetFlag (Flag flag, bool value)
SDF::Obj | GetTriggerAction (Annot::ActionTriggerEvent trigger)
BorderStyle | GetBorderStyle () const
void | SetBorderStyle (const BorderStyle &bs, bool oldStyleOnly=false)
SDF::Obj | GetAppearance (AnnotationState annot_state=e_normal, const char *app_state=0)
void | SetAppearance (SDF::Obj app_stream, AnnotationState annot_state=e_normal, const char *app_state=0)
void | RemoveAppearance (AnnotationState annot_state=e_normal, const char *app_state=0)
void | Flatten (class Page page)
const char * | GetActiveAppearanceState () const
void | SetActiveAppearanceState (const char *astate)
ColorPt | GetColorAsRGB () const
ColorPt | GetColorAsCMYK () const
ColorPt | GetColorAsGray () const
int | GetColorCompNum () const
void | SetColor (const ColorPt &col, int numcomp=3)
int | GetStructParent () const
void | SetStructParent (const int parkeyval)
SDF::Obj | GetOptionalContent () const
void | SetOptionalContent (SDF::Obj content)
void | SetContents (const UString &contents)
UString | GetContents () const
int | GetRotation () const
void | SetRotation (int angle)
void | RefreshAppearance ()
void | RefreshAppearance (const RefreshOptions &options)
UString | GetCustomData (const UString &key) const
void | SetCustomData (const UString &key, const UString &value)
void | DeleteCustomData (const UString &key)
void | Resize (const Rect &newrect)
ptrdiff_t | GetHandleInternal ()

## Static Public Member Functions
static Movie | Create (SDF::SDFDoc &doc, const Rect &pos)
static Movie | CreateAnnot (SDF::SDFDoc &doc, const Rect &pos)
Static Public Member Functions inherited from pdftron::PDF::Annot
static Annot | Create (SDF::SDFDoc &doc, Type type, const Rect &pos)
static Annot * | CreateInternal (ptrdiff_t impl)

## Additional Inherited Members
Public Types inherited from pdftron::PDF::Annot
enum | Type { e_Text, e_Link, e_FreeText, e_Line, e_Square, e_Circle, e_Polygon, e_Polyline, e_Highlight, e_Underline, e_Squiggly, e_StrikeOut, e_Stamp, e_Caret, e_Ink, e_Popup, e_FileAttachment, e_Sound, e_Movie, e_Widget, e_Screen, e_PrinterMark, e_TrapNet, e_Watermark, e_3D, e_Redact, e_Projection, e_RichMedia, e_Unknown }
enum | Flag { e_invisible, e_hidden, e_print, e_no_zoom, e_no_rotate, e_no_view, e_read_only, e_locked, e_toggle_no_view, e_locked_contents }
enum | ActionTriggerEvent { e_action_trigger_activate = 0, e_action_trigger_annot_enter = 1, e_action_trigger_annot_exit = 2, e_action_trigger_annot_down = 3, e_action_trigger_annot_up = 4, e_action_trigger_annot_focus = 5, e_action_trigger_annot_blur = 6, e_action_trigger_annot_page_open = 7, e_action_trigger_annot_page_close = 8, e_action_trigger_annot_page_visible = 9, e_action_trigger_annot_page_invisible = 10 }
enum | AnnotationState { e_normal, e_rollover, e_down }
typedef pdftron::PDF::BorderStyle | BorderStyle

## Detailed Description

A movie annotation contains animated graphics and sound to be presented on the computer screen and through the speakers. When the annotation is activated, the movie is played.

Definition at line 18 of file Movie.h.

## Constructor & Destructor Documentation

pdftron::PDF::Annots::Movie::Movie | ( | SDF::Obj | d = `0` | ) |

Creates a Movie annotation and initializes it using given Cos/SDF object.

Parameters

  d | The Cos/SDF object to initialze the annotation with.

Note
  The constructor does not copy any data, but is instead the logical equivalent of a type cast.

pdftron::PDF::Annots::Movie::Movie | ( | const Annot & | ann | ) |
| inline

Creates a Movie annotation and initializes it using given annotation object.

Parameters

  ann | Annot object used to initialize the Movie annotation.

Note
  The constructor does not copy any data, but is instead the logical equivalent of a type cast.

Definition at line 35 of file Movie.h.

## Member Function Documentation

static Movie pdftron::PDF::Annots::Movie::Create | ( | SDF::SDFDoc & | doc,
|  | const Rect & | pos
| ) |  |
| static

Creates a new Movie annotation in the specified document.

Parameters

  doc | A document to which the Movie annotation is added.
  pos | A rectangle specifying the Movie annotation's bounds in default user space units.

Returns
  A newly created blank Movie annotation.

static Movie pdftron::PDF::Annots::Movie::CreateAnnot | ( | SDF::SDFDoc & | doc,
|  | const Rect & | pos
| ) |  |
| static

UString pdftron::PDF::Annots::Movie::GetTitle | ( |  | ) | const

Returns the title of the Movie Annotation.

Returns
  A string representing the title of the Movie Annotation.

Note
  Movie actions may use this title to reference the movie annotation.

bool pdftron::PDF::Annots::Movie::IsToBePlayed | ( |  | ) | const

Returns the option of whether the Movie is to be played.

Returns
  a boolean value indicating if the movie is to be played.

Note
  IsToBePlayed is a flag specifying whether to play the movie when the annotation is activated. The movie shall be played using default activation parameters. If the value is false, the movie shall not be played. Default value: true.

void pdftron::PDF::Annots::Movie::SetTitle | ( | const UString & | title | ) |

Sets the title of the Movie Annotation. (Optional)

Parameters

  title | A string representing the title of the Movie Annotation.

Note
  Movie actions may use this title to reference the movie annotation.

void pdftron::PDF::Annots::Movie::SetToBePlayed | ( | bool | isplay = `true` | ) |

Sets the option of whether the Movie is to be played. (Optional)

Parameters

  isplay | A boolean value telling if the movie is to be played. Default value: true.

Note
  IsToBePlayed is a flag specifying whether to play the movie when the annotation is activated. The movie shall be played using default activation parameters. If the value is false, the movie shall not be played. Default value: true.

The documentation for this class was generated from the following file:

- PDF/Annots/Movie.h